module Trader
  class FixedConverter < Converter
    attr_reader :rate

    def initialize(_rate)
      @rate = _rate
      # TODO: maybe require rate to be a Standard.amount
    end

    def current_rate
      rate
    end

    def apply(_value, _invert=false)
      if _invert
        _value / rate
      else
        _value * rate
      end
    end
  end
end