module Trader
  class Exchange
    include MarketLoader

    def initialize(_backend)
      @backend = _backend
    end

    def login(_crendentials)
      session = backend.get_session(_crendentials)
      Account.new backend, session
    end

    private

    attr_reader :backend
  end
end