require 'bigdecimal'

module Trader
  module Standard
    extend self

    def amount(_number)
      return _number if _number.is_a? BigDecimal
      return BigDecimal.new _number.to_s if _number.is_a? Float
      BigDecimal.new _number
    end
  end
end